<?php

App::uses('AppShell', 'Console/Command');

App::uses('Cybertill', 'EvCybertill.Lib');

class CybertillShell extends AppShell {

/**
 * Sync the stock so that the stock on the site matches with the stock in cybertill.
 */
	public function syncStock() {
		$Cybertill = new Cybertill();

		$Cybertill->syncStock();
	}

/**
 * Use this shell command to check the stock of a specific item in cybertill. Uses the details in the config
 * to establish a connection to cybertill and checks for stock of the provided SKU.
 * @param  arg[0] The SKU of the item to check stock of.
 */
	public function checkStock() {
		$Cybertill = new Cybertill();

		if (!empty($this->args[0])) {
			$sku = $this->args[0];

			$stock = $Cybertill->checkStock($sku);

			if (!empty($stock)) {
				$this->out("\n Product with sku: " . $sku . ' has ' . $stock->item->stock . " items in stock. \n");
				$this->out("\n Product with sku: " . $sku . ' has ' . $stock->item->reserved . " items reserved. \n");
			} else {
				$this->out("\n Product with sku: " . $sku . " has no items in stock. \n");
			}
		}
	}
}
